<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
   
   <meta name="description" content="FLUBIO - An unstructured, parallel, finite volume Navier-Stokes solver for teaching and research purposes">
    
    <meta name="author" content="Edoardo Alinovi and Joel Guerrero" >
    <link rel="icon" href="../favicon.png">

    <title>MODIF &ndash; FLUBIO</title>

    <link href="../css/bootstrap.min.css" rel="stylesheet">
    <link href="../css/pygments.css" rel="stylesheet">
    <link href="../css/font-awesome.min.css" rel="stylesheet">
    <link href="../css/local.css" rel="stylesheet">
    
    <link  href="../tipuesearch/tipuesearch.css" rel="stylesheet">
    
    

    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
      <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
    
    <script src="../js/jquery-2.1.3.min.js"></script>
    <script src="../js/svg-pan-zoom.min.js"></script>

  </head>

  <body>

    <!-- Fixed navbar -->
    <nav class="navbar navbar-inverse navbar-fixed-top">
      <div class="container">
        <div class="navbar-header">
          <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
            <span class="sr-only">Toggle navigation</span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </button>
          <a class="navbar-brand" href="../index.html">FLUBIO </a>
        </div>
        <div id="navbar" class="navbar-collapse collapse">
          <ul class="nav navbar-nav">
        
            <li class="dropdown hidden-xs visible-sm visible-md hidden-lg">
              <a href="#" class="dropdown-toggle"
              data-toggle="dropdown" role="button"
              aria-haspopup="true"
     aria-expanded="false">Contents <span class="caret"></span></a>
        <ul class="dropdown-menu">
          
              
            <li><a href="../lists/files.html">Source Files</a></li>
        
        
        
            <li><a href="../lists/modules.html">Modules</a></li>
        
            
                                
            <li><a href="../lists/procedures.html">Procedures</a></li>
        
               
            <li><a href="../lists/types.html">Derived Types</a></li>
        
        
            <li><a href="../lists/programs.html">Programs</a></li>
               
        
        
            </ul>
        
            </li>


<li class="visible-xs hidden-sm visible-lg"><a href="../lists/files.html">Source Files</a></li>



<li class="visible-xs hidden-sm visible-lg"><a href="../lists/modules.html">Modules</a></li>



<li class="visible-xs hidden-sm visible-lg"><a href="../lists/procedures.html">Procedures</a></li>

                             
<li class="visible-xs hidden-sm visible-lg"><a href="../lists/types.html">Derived Types</a></li>


<li class="visible-xs hidden-sm visible-lg"><a href="../lists/programs.html">Programs</a></li>



          </ul>
        
        <form action="../search.html" class="navbar-form navbar-right" role="search">
        <div class="form-group">
          <input type="text" class="form-control" placeholder="Search" name="q" id="tipue_search_input" autocomplete="off" required>
        </div>
<!--
        <button type="submit" class="btn btn-default">Submit</button>
-->
        </form>
        
        </div><!--/.nav-collapse -->
      </div>
    </nav>

    <div class="container">
    
  
  <div class="row">
    <h1>MODIF
      <small>Subroutine</small>
    
    </h1>
    
<div class="row">
  <div class="col-lg-12">
<div class="well well-sm">
  <ul class="list-inline" style="margin-bottom:0px;display:inline">
     
     
     
    <li><i class="fa fa-legal"></i> <a rel="license" href="http://creativecommons.org/licenses/by-nc/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-nc/4.0/80x15.png" /></a></li> 
     
     
     
    
    
     <li><i class="fa fa-list-ol"></i>
       <a data-toggle="tooltip"
    data-placement="bottom" data-html="true"
    title=" 0.3% of total for procedures.">63 statements</a>
     </li> 
     
     
     
    <li><i class="fa fa-code"></i><a href="../src/mstrings.f03"> Source File</a></li>
     
     
  </ul>
  <ol class="breadcrumb in-well text-right">
  
    
     <li><a href='../sourcefile/mstrings.f03.html'>mstrings.f03</a></li>
    
     <li><a href='../module/m_strings.html'>M_strings</a></li>
    
  
     <li class="active">MODIF</li>
  </ol>
</div>
</div>
</div>
<script>
  $(function () {
  $('[data-toggle="tooltip"]').tooltip()
  })
</script>

  </div>
  
  <div class="row">
    <div class="col-md-3 hidden-xs hidden-sm visible-md visible-lg">
    
<div id="sidebar">
  
<h3>Contents</h3>
 





















<em>None</em>


</div>

    </div>
    
    <div class="col-md-9" id='text'>
    <h2>
public subroutine MODIF(cline, mod)
    
    
   
</h2>
    
  


    
    <h2>NAME</h2>
<div class="codehilite"><pre><span></span><code>modif(3f) - [M_strings:EDITING] emulate the MODIFY command from the line editor XEDIT
</code></pre></div>

<h2>SYNOPSIS</h2>
<div class="codehilite"><pre><span></span><code>subroutine modif(cline,cmod)

 character(len=*) :: cline ! input string to change
 character(len=*) :: cmod  ! directive provides directions on changing string
</code></pre></div>

<h2>DESCRIPTION</h2>
<p>MODIF(3f) Modifies the line currently pointed at using a directive
   that acts much like a line editor directive.
   Primarily used to create interactive utilities such as input history
   editors for interactive line-mode programs.</p>
<p>the modify directives are as follows-</p>
<div class="codehilite"><pre><span></span><code><span class="n">DIRECTIVE</span> <span class="n">EXPLANATION</span>

<span class="o">^</span><span class="n">STRING</span><span class="p">#</span>   <span class="n">Causes</span> <span class="n">the</span> <span class="k">string</span> <span class="n">of</span> <span class="n">characters</span> <span class="n">between</span> <span class="n">the</span> <span class="o">^</span> <span class="k">and</span> <span class="n">the</span>
           <span class="n">next</span> <span class="p">#</span> <span class="n">to</span> <span class="n">be</span> <span class="n">inserted</span> <span class="n">before</span> <span class="n">the</span> <span class="n">characters</span> <span class="n">pointed</span> <span class="n">to</span>
           <span class="n">by</span> <span class="n">the</span> <span class="o">^</span><span class="p">.</span> <span class="n">an</span> <span class="o">^</span> <span class="k">or</span> <span class="o">&amp;</span> <span class="n">within</span> <span class="n">the</span> <span class="k">string</span> <span class="n">is</span> <span class="n">treated</span> <span class="n">as</span> <span class="n">a</span>
           <span class="n">regular</span> <span class="n">character</span><span class="p">.</span> <span class="n">If</span> <span class="n">the</span> <span class="n">closing</span> <span class="p">#</span> <span class="n">is</span> <span class="k">not</span> <span class="n">specified</span><span class="p">,</span>
           <span class="n">MODIF</span><span class="p">(</span><span class="mf">3f</span><span class="p">)</span> <span class="n">inserts</span> <span class="n">the</span> <span class="n">remainder</span> <span class="n">of</span> <span class="n">the</span> <span class="n">line</span> <span class="n">as</span> <span class="k">if</span> <span class="n">a</span> <span class="p">#</span> <span class="n">was</span>
           <span class="n">specified</span> <span class="n">after</span> <span class="n">the</span> <span class="n">last</span> <span class="n">nonblank</span> <span class="n">character</span><span class="p">.</span>

           <span class="n">There</span> <span class="n">are</span> <span class="n">two</span> <span class="n">exceptions</span><span class="p">.</span> <span class="n">the</span> <span class="n">combination</span> <span class="o">^</span><span class="p">#</span> <span class="n">causes</span> <span class="n">a</span> <span class="p">#</span>
           <span class="n">to</span> <span class="n">be</span> <span class="n">inserted</span> <span class="n">before</span> <span class="n">the</span> <span class="n">character</span> <span class="n">pointed</span> <span class="n">to</span> <span class="n">by</span> <span class="n">the</span>
           <span class="o">^</span><span class="p">,</span> <span class="k">and</span> <span class="n">an</span> <span class="o">^</span> <span class="n">as</span> <span class="n">the</span> <span class="n">last</span> <span class="n">character</span> <span class="n">of</span> <span class="n">the</span> <span class="n">directives</span>
           <span class="n">causes</span> <span class="n">a</span> <span class="n">blank</span> <span class="n">to</span> <span class="n">be</span> <span class="n">inserted</span><span class="p">.</span>

<span class="p">#</span>          <span class="p">(</span><span class="n">When</span> <span class="k">not</span> <span class="n">the</span> <span class="n">first</span> <span class="p">#</span> <span class="n">after</span> <span class="n">an</span> <span class="o">^</span><span class="p">)</span> <span class="n">causes</span> <span class="n">the</span> <span class="n">character</span>
           <span class="n">above</span> <span class="n">it</span> <span class="n">to</span> <span class="n">be</span> <span class="n">deleted</span><span class="p">.</span>

<span class="o">&amp;</span>          <span class="n">Replaces</span> <span class="n">the</span> <span class="n">character</span> <span class="n">above</span> <span class="n">it</span> <span class="n">with</span> <span class="n">a</span> <span class="n">space</span><span class="p">.</span>

<span class="p">(</span><span class="n">SPACE</span><span class="p">)</span>    <span class="n">A</span> <span class="n">space</span> <span class="n">below</span> <span class="n">a</span> <span class="n">character</span> <span class="n">leaves</span> <span class="n">it</span> <span class="n">unchanged</span><span class="p">.</span>

<span class="n">Any</span> <span class="n">other</span> <span class="n">character</span> <span class="n">replaces</span> <span class="n">the</span> <span class="n">character</span> <span class="n">above</span> <span class="n">it</span><span class="p">.</span>
</code></pre></div>

<h2>EXAMPLES</h2>
<p>Example input/output:</p>
<div class="codehilite"><pre><span></span><code>THE INPUT LINE........ 10 THIS STRING  TO BE MORTIFD
THE DIRECTIVES LINE...        ^ IS THE#        D#  ^IE
ALTERED INPUT LINE.... 10 THIS IS THE STRING  TO BE MODIFIED
</code></pre></div>

<p>Sample program:</p>
<div class="codehilite"><pre><span></span><code><span class="nv">program</span> <span class="nv">demo_modif</span>
<span class="nv">use</span> <span class="nv">M_strings</span>, <span class="nv">only</span> : <span class="nv">modif</span>
<span class="nv">implicit</span> <span class="nv">none</span>
<span class="nv">character</span><span class="ss">(</span><span class="nv">len</span><span class="o">=</span><span class="mi">256</span><span class="ss">)</span>           :: <span class="nv">line</span>
<span class="nv">integer</span>                      :: <span class="nv">ios</span>
<span class="nv">integer</span>                      :: <span class="nv">count</span>
<span class="nv">integer</span>                      :: <span class="nv">COMMAND_LINE_LENGTH</span>
<span class="nv">character</span><span class="ss">(</span><span class="nv">len</span><span class="o">=</span>:<span class="ss">)</span>,<span class="nv">allocatable</span> :: <span class="nv">COMMAND_LINE</span>
   <span class="o">!</span> <span class="nv">get</span> <span class="nv">command</span> <span class="nv">name</span> <span class="nv">length</span>
   <span class="k">call</span> <span class="nl">get_command_argument</span><span class="ss">(</span><span class="mi">0</span>,<span class="nv">length</span><span class="o">=</span><span class="nv">count</span><span class="ss">)</span>
   <span class="o">!</span> <span class="nv">get</span> <span class="nv">command</span> <span class="nv">line</span> <span class="nv">length</span>
   <span class="k">call</span> <span class="nl">get_command</span><span class="ss">(</span><span class="nv">length</span><span class="o">=</span><span class="nv">COMMAND_LINE_LENGTH</span><span class="ss">)</span>
   <span class="o">!</span> <span class="nv">allocate</span> <span class="nv">string</span> <span class="nv">big</span> <span class="nv">enough</span> <span class="nv">to</span> <span class="nv">hold</span> <span class="nv">command</span> <span class="nv">line</span>
   <span class="nv">allocate</span><span class="ss">(</span><span class="nv">character</span><span class="ss">(</span><span class="nv">len</span><span class="o">=</span><span class="nv">COMMAND_LINE_LENGTH</span><span class="o">+</span><span class="mi">200</span><span class="ss">)</span> :: <span class="nv">COMMAND_LINE</span><span class="ss">)</span>
   <span class="o">!</span> <span class="nv">get</span> <span class="nv">command</span> <span class="nv">line</span> <span class="nv">as</span> <span class="nv">a</span> <span class="nv">string</span>
   <span class="k">call</span> <span class="nl">get_command</span><span class="ss">(</span><span class="nv">command</span><span class="o">=</span><span class="nv">COMMAND_LINE</span><span class="ss">)</span>
   <span class="o">!</span> <span class="nv">trim</span> <span class="nv">leading</span> <span class="nv">spaces</span> <span class="nv">just</span> <span class="nv">in</span> <span class="nv">case</span>
   <span class="nv">COMMAND_LINE</span><span class="o">=</span><span class="nv">adjustl</span><span class="ss">(</span><span class="nv">COMMAND_LINE</span><span class="ss">)</span>
   <span class="o">!</span> <span class="nv">remove</span> <span class="nv">command</span> <span class="nv">name</span>
   <span class="nv">COMMAND_LINE</span><span class="o">=</span><span class="nv">adjustl</span><span class="ss">(</span><span class="nv">COMMAND_LINE</span><span class="ss">(</span><span class="nv">COUNT</span><span class="o">+</span><span class="mi">2</span>:<span class="ss">))</span>
   <span class="nv">INFINITE</span>: <span class="k">do</span>
      <span class="nv">read</span><span class="ss">(</span><span class="o">*</span>,<span class="s1">&#39;</span><span class="s">(a)</span><span class="s1">&#39;</span>,<span class="nv">iostat</span><span class="o">=</span><span class="nv">ios</span><span class="ss">)</span><span class="nv">line</span>
      <span class="k">if</span><span class="ss">(</span><span class="nv">ios</span>.<span class="nv">ne</span>.<span class="mi">0</span><span class="ss">)</span><span class="k">exit</span>
      <span class="k">call</span> <span class="nl">modif</span><span class="ss">(</span><span class="nv">line</span>,<span class="nv">COMMAND_LINE</span><span class="ss">)</span>
      <span class="nv">write</span><span class="ss">(</span><span class="o">*</span>,<span class="s1">&#39;</span><span class="s">(a)</span><span class="s1">&#39;</span><span class="ss">)</span><span class="nv">trim</span><span class="ss">(</span><span class="nv">line</span><span class="ss">)</span>
   <span class="nv">enddo</span> <span class="nv">INFINITE</span>
<span class="k">end</span> <span class="nv">program</span> <span class="nv">demo_modif</span>
</code></pre></div>
    

    <h3>Arguments</h3>
    
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-cline"></span>character(len=*)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>cline</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-mod"></span>character(len=*),</td>
  <td>intent(in)</td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>mod</strong></td><td></td>
  
</tr>

</tbody>
</table>

    
    
    
    
     
    <br>

    <section class="visible-xs visible-sm hidden-md">
      
<h3>Contents</h3>
 





















<em>None</em>


    </section>
    <br class="visible-xs visible-sm hidden-md">

    

    
    
    
    
    

    
    
    
    
    


    
    
    
    
    </div>
  </div>


    <hr>    
    </div> <!-- /container -->
    <footer>
      <div class="container">
      <div class="row">
        <div class="col-xs-6 col-md-6"><p>FLUBIO was developed by Edoardo Alinovi and Joel Guerrero<br>&copy; 2021 <a rel="license" href="http://creativecommons.org/licenses/by-nc/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-nc/4.0/80x15.png" /></a>
                                          </p>
        </div>
        <div class="col-xs-6 col-md-6">
          <p class="text-right">
            Documentation generated by 
            <a href="https://github.com/Fortran-FOSS-Programmers/ford">FORD</a>
            
            
          </p>
        </div>
      </div>
      <br>
      </div> <!-- /container -->    
    </footer>

    <!-- Bootstrap core JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
<!--
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.1/jquery.min.js"></script>
-->
    <script src="../js/bootstrap.min.js"></script>
    <!-- IE10 viewport hack for Surface/desktop Windows 8 bug -->
    <script src="../js/ie10-viewport-bug-workaround.js"></script>

    <!-- MathJax JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
    <script type="text/x-mathjax-config">
      MathJax.Hub.Config({
        TeX: { extensions: ['AMSmath.js','AMSsymbols.js','noErrors.js','noUndefined.js'], equationNumbers: { autoNumber: 'AMS' } },
        jax: ['input/TeX','input/MathML','output/HTML-CSS'],
        extensions: ['tex2jax.js','mml2jax.js','MathMenu.js','MathZoom.js']
      });
    </script>
    
    <script src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.1/MathJax.js?config=TeX-AMS-MML_HTMLorMML"></script>
    
    
    <script src="../tipuesearch/tipuesearch_content.js"></script>
    <script src="../tipuesearch/tipuesearch_set.js"></script>
    <script src="../tipuesearch/tipuesearch.js"></script>
    
    
  </body>
</html>